400 Bad request on clicking content-host --> Bulk Actions --> Errata
Status: Closed   

Priority: Normal   

Assignee: Brad Buckingham   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1109085 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1109085

Description of problem:

UI is throwing 400 Bad request in production.log on accessing "Content-Host" --> "Bulk Actions" --> Errata

Version-Release number of selected component (if applicable):

sat6 beta snap9 compose2

How reproducible:

always

Steps to Reproduce:

1. register 2-3 content host

2. go to "bulk actions"

3. select Errata tab

Actual results:

Processing by Katello::Api::V2::SystemsBulkActionsController#applicable_errata as JSON

Parameters: {"included"=>{"ids"=>[], "resources"=>[], "search"=>nil}, "excluded"=>{"ids"=>[]}, "organization_id"=>"1", "page"=>1,

"search"=>"", "api_version"=>"v2", "systems_bulk_action"=>{"included"=>{"ids"=>[], "resources"=>[], "search"=>nil},

"excluded"=>{"ids"=>[]}, "organization_id"=>"1", "page"=>1, "search"=>""}}

Katello::HttpErrors::BadRequest: No systems have been specified.

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/controllers/katello/api/v2/systems_bulk_actions_controller.rb:204:in

`find_systems'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/controllers/katello/api/v2/systems_bulk_actions_controller.rb:175:in

`find_readable_systems'

Expected results:

Additional info:

Associated revisions

Revision 2825746d - 07/07/2014 04:45 PM - Brad Buckingham

fixes #6511 / BZ 1109085 - content host bulk errata fixes

This commit addresses a couple of small UI issues with the

content host bulk errata action.  The issues were:

1. If no content hosts are selected, do not retrieve applicable

errata from the server.  The API requires the user to provide

at least 1 content host; therefore, no need to send the request

with 0.

2. If no content hosts are selected, disable the refresh and

install actions.

Revision 66bb0692 - 07/07/2014 04:45 PM - Brad Buckingham
fixes #6511 / BZ 1109085 - content host bulk errata fixes

This commit addresses a couple of small UI issues with the

content host bulk errata action.  The issues were:

1. If no content hosts are selected, do not retrieve applicable

errata from the server.  The API requires the user to provide

at least 1 content host; therefore, no need to send the request

with 0.

2. If no content hosts are selected, disable the refresh and

install actions.

Revision dff892aa - 07/08/2014 12:53 PM - Brad Buckingham

Merge pull request #4396 from bbuckingham/issue-6511

fixes #6511 / BZ 1109085 - content host bulk errata fixes

Revision 95a70685 - 07/08/2014 12:53 PM - Brad Buckingham

Merge pull request #4396 from bbuckingham/issue-6511

fixes #6511 / BZ 1109085 - content host bulk errata fixes

History

#1 - 07/07/2014 09:51 AM - Brad Buckingham

- Assignee set to Brad Buckingham

- Target version set to 49

- Triaged changed from No to Yes

#2 - 07/08/2014 01:02 PM - Brad Buckingham

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|2825746d286e0a48a0689d46e722764afdf3dac9.

#3 - 08/22/2014 09:00 AM - Eric Helms

- translation missing: en.field_release set to 13
